Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1294874 - Add MIPS to ghc_arches and ghci_arches
Summary: Add MIPS to ghc_arches and ghci_arches
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-srpm-macros
Version: 24
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2015-12-30 19:28 UTC by Michal Toman
Modified: 2017-08-08 12:36 UTC (History)
1 user (show)

Fixed In Version: ghc-srpm-macros-1.4.2-4.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 12:36:43 UTC


Attachments (Terms of Use)
Enable-ghc-and-ghci-on-MIPS.patch (deleted)
2015-12-30 19:28 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2015-12-30 19:28:28 UTC
Created attachment 1110595 [details]
Enable-ghc-and-ghci-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires adding MIPS to ghc_arches and ghci_arches

Actual results:
MIPS is not included in ghc_arches nor ghci_arches

Expected results:
MIPS is included in ghc_arches nor ghci_arches

Additional info:
Attaching a dist-git patch.

Comment 1 Jan Kurik 2016-02-24 14:11:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Jens Petersen 2016-03-07 14:25:45 UTC
(I just now dropped all %ghc_arches_with_ghci usage in F25 Rawhide I think: so in future it should be possible to bootstrap ghc and build packages without ghc-srpm-macros.)

Do you have a plan how to bootstrap mips?  I guess there are builds for debian etc you could start from.

Comment 3 Jens Petersen 2016-03-07 14:41:52 UTC
ghc_arches is already deprecated, so let me skip it.

ghc-srpm-macros-1.4.2-4.fc24 should have mips in %ghc_arches_with_ghci.

Boostrapping ghc is quite a bit of work so good luck!

Comment 4 Michal Toman 2016-03-07 14:44:21 UTC
Thanks. The packages have already been bootstrapped (based on Debian), we have working F23 builds for 32 and 64 bit MIPS:

http://mipsfedora.imgtec.com/development/23/mipsel/stage4/all/ghc-7.8.4-46.1.fc23/

http://mipsfedora.imgtec.com/development/23/mips64el/stage4/all/ghc-7.8.4-46.1.fc23/

As far as I can tell, everything works fine, the only issue is packaging.

Comment 5 Jens Petersen 2016-05-26 07:56:31 UTC
Awesome, are you targeting F24?

Sorry for the delay - quite missed you comment.

Comment 6 Jens Petersen 2016-05-26 07:57:50 UTC
Anything more to do here?

Comment 7 Fedora End Of Life 2017-07-25 19:42:22 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-08-08 12:36:43 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.